Qt Cryptographic Architecture: QCA::CertificateOptions Class Reference

# QCA::CertificateOptions Class Reference
[QCA user API]

Certificate options More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CertificateOptions:

[legend]

List of all members.

## Public Member Functions
| CertificateOptions (const CertificateOptions &from)
| CertificateOptions (CertificateRequestFormat format=PKCS10)
QString | challenge () const
Constraints | constraints () const
QStringList | crlLocations () const
CertificateRequestFormat | format () const
CertificateInfo | info () const
CertificateInfoOrdered | infoOrdered () const
bool | isCA () const
QStringList | issuerLocations () const
bool | isValid () const
QDateTime | notValidAfter () const
QDateTime | notValidBefore () const
QStringList | ocspLocations () const
CertificateOptions & | operator= (const CertificateOptions &from)
int | pathLimit () const
QStringList | policies () const
BigInteger | serialNumber () const
void | setAsCA (int pathLimit=8)
void | setAsUser ()
void | setChallenge (const QString &s)
void | setConstraints (const Constraints &constraints)
void | setCRLLocations (const QStringList &locations)
void | setFormat (CertificateRequestFormat f)
void | setInfo (const CertificateInfo &info)
void | setInfoOrdered (const CertificateInfoOrdered &info)
void | setIssuerLocations (const QStringList &locations)
void | setOCSPLocations (const QStringList &locations)
void | setPolicies (const QStringList &policies)
void | setSerialNumber (const BigInteger &i)
void | setValidityPeriod (const QDateTime &start, const QDateTime &end)

## Detailed Description

Certificate options

Note:
  In SPKAC mode, all options are ignored except for challenge

## Constructor & Destructor Documentation

QCA::CertificateOptions::CertificateOptions | ( | CertificateRequestFormat | format = `PKCS10` | ) |

Create a Certificate options set.

Parameters:

  | format | the format to create the certificate request in

QCA::CertificateOptions::CertificateOptions | ( | const CertificateOptions & | from | ) |

Standard copy constructor.

Parameters:

  | from | the Certificate Options to copy into this object

## Member Function Documentation

QString QCA::CertificateOptions::challenge | ( |  | ) | const

The challenge part of the certificate.

For CertificateRequest only

See also:
  setChallenge

Constraints QCA::CertificateOptions::constraints | ( |  | ) | const

List the constraints on this certificate.

QStringList QCA::CertificateOptions::crlLocations | ( |  | ) | const

list of URI locations for CRL files

each URI refers to the same CRL file

For Certificate creation only

CertificateRequestFormat QCA::CertificateOptions::format | ( |  | ) | const

test the format type for this certificate

CertificateInfo QCA::CertificateOptions::info | ( |  | ) | const

Information on the subject of the certificate.

See also:
  setInfo

CertificateInfoOrdered QCA::CertificateOptions::infoOrdered | ( |  | ) | const

Information on the subject of the certificate, in the exact order the items will be written.

See also:
  setInfoOrdered

bool QCA::CertificateOptions::isCA | ( |  | ) | const

test if the certificate is a CA cert

See also:
  setAsCA

  setAsUser

QStringList QCA::CertificateOptions::issuerLocations | ( |  | ) | const

list of URI locations for issuer certificate files

each URI refers to the same issuer file

For Certificate creation only

bool QCA::CertificateOptions::isValid | ( |  | ) | const

Test if the certificate options object is valid.

Returns:
  true if the certificate options object is valid

QDateTime QCA::CertificateOptions::notValidAfter | ( |  | ) | const

the last time the certificate is valid

For Certificate creation only

QDateTime QCA::CertificateOptions::notValidBefore | ( |  | ) | const

the first time the certificate will be valid

For Certificate creation only

QStringList QCA::CertificateOptions::ocspLocations | ( |  | ) | const

list of URI locations for OCSP services

For Certificate creation only

CertificateOptions& QCA::CertificateOptions::operator= | ( | const CertificateOptions & | from | ) |

Standard assignment operator.

Parameters:

  | from | the Certificate Options to copy into this object

int QCA::CertificateOptions::pathLimit | ( |  | ) | const

return the path limit on this certificate

QStringList QCA::CertificateOptions::policies | ( |  | ) | const

list the policies on this certificate

BigInteger QCA::CertificateOptions::serialNumber | ( |  | ) | const

The serial number for the certificate.

For Certificate creation only

void QCA::CertificateOptions::setAsCA | ( | int | pathLimit = `8` | ) |

set the certificate to be a CA cert

Parameters:

  | pathLimit | the number of intermediate certificates allowable

void QCA::CertificateOptions::setAsUser | ( |  | ) |

set the certificate to be a user cert (this is the default)

void QCA::CertificateOptions::setChallenge | ( | const QString & | s | ) |

Specify the challenge associated with this certificate.

Parameters:

  | s | the challenge string

See also:
  challenge()

void QCA::CertificateOptions::setConstraints | ( | const Constraints & | constraints | ) |

set the constraints on the certificate

Parameters:

  | constraints | the constraints to be used for the certificate

void QCA::CertificateOptions::setCRLLocations | ( | const QStringList & | locations | ) |

set the CRL locations of the certificate

each location refers to the same CRL.

Parameters:

  | locations | a list of URIs to CRL files

void QCA::CertificateOptions::setFormat | ( | CertificateRequestFormat | f | ) |

Specify the format for this certificate.

Parameters:

  | f | the format to use

void QCA::CertificateOptions::setInfo | ( | const CertificateInfo & | info | ) |

Specify information for the the subject associated with the certificate.

Parameters:

  | info | the information for the subject

See also:
  info()

void QCA::CertificateOptions::setInfoOrdered | ( | const CertificateInfoOrdered & | info | ) |

Specify information for the the subject associated with the certificate.

Parameters:

  | info | the information for the subject

See also:
  info()

void QCA::CertificateOptions::setIssuerLocations | ( | const QStringList & | locations | ) |

set the issuer certificate locations of the certificate

each location refers to the same issuer file.

Parameters:

  | locations | a list of URIs to issuer certificate files

void QCA::CertificateOptions::setOCSPLocations | ( | const QStringList & | locations | ) |

set the OCSP service locations of the certificate

Parameters:

  | locations | a list of URIs to OCSP services

void QCA::CertificateOptions::setPolicies | ( | const QStringList & | policies | ) |

set the policies on the certificate

Parameters:

  | policies | the policies to be used for the certificate

void QCA::CertificateOptions::setSerialNumber | ( | const BigInteger & | i | ) |

Set the serial number property on this certificate.

Parameters:

  | i | the serial number to use

void QCA::CertificateOptions::setValidityPeriod | ( | const QDateTime & | start,
|  | const QDateTime & | end |
| ) |  |  |

Set the validity period for the certificate.

Parameters:

  | start | the first time this certificate becomes valid
  | end | the last time this certificate is valid

The documentation for this class was generated from the following file:

- qca_cert.h